Zum Inhalt springen
AchaduDevelopers
Developers/API/schedule_update
Zeitpläne

Zeitplan aktualisieren

Ändern Sie Zeit, Ziel, Wiederholung oder Status.

PATCH/schedules/{id}schedules:write

Anfrage

idstring · pathRessourcenbezeichner.obligatorisch
typestring · bodyTyp: Angebot oder Text.optional
atstring · bodyDatum und Uhrzeit nach ISO 8601.optional
segment_idstring · bodyZielsegment.optional
group_idstring · bodySpezifische Gruppe.optional
offer_idstring · bodyGeplantes Angebot.optional
textstring · bodyText zur textuellen Terminplanung.optional
imagestring · bodyOptionales Bild.optional
recurrencestring · bodyWiederholungsregel.optional
activeboolean · bodyAktiviert die Terminplanung.optional

Beispiel

curl
curl -X PATCH 'https://achadu.com/api/v1/schedules/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "type": "string",
  "at": "2026-09-01T15:00:00Z",
  "segment_id": "string"
}'

Antwort

200Vorgang abgeschlossen
4xxFehler mit Code, Nachricht und request_id